component: HeroStateDiagnostic
proto_imports:
  - vehicle/planner/diagnostics/hero_state_diagnostics.proto
metric: HeroStateMetric
namespace: zoox::planner::hero_state
faults:
  - id: 1
    name: PoseInvalid
    severity: ERROR
    description: >
      An inconsistency between the pose and the localization system has been
      detected.  Autonomous will not be possible until the localizer node is
      restarted.  If you are not in autonomous mode, this error is not critical,
      however, it should be reported to the CLAMS team.  Potential causes are
      vehicle uncalibrated, pose system error, localizer error, localizer map
      error or network problems.
    freeze_frame: zoox.planner.hero_state.PoseInvalidFreezeFrame
    triggers_nogo: true
